Package org.eclipse.m2m.atl.emftvm.util

## Class LazyCollection.IteratorToListIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator
    - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.IteratorToListIterator

All Implemented Interfaces:
  `java.util.Iterator<E>`, `java.util.ListIterator<E>`

Enclosing class:
  LazyCollection<E>

    public class LazyCollection.IteratorToListIterator
    extends LazyCollection.CachingIterator
    implements java.util.ListIterator<E>

Converts an `Iterator` to a `ListIterator`. Does not support modification of the underlying `LazyList`.

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`i, inner`

### Constructor Summary

Constructors
`IteratorToListIterator()` Creates a new `LazyCollection.IteratorToListIterator` for this `LazyList`.
`IteratorToListIterator​(int index)` Creates a new `LazyCollection.IteratorToListIterator` for this `LazyList`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(E o)` Unsupported.
`boolean` `hasPrevious()`
`E` `next()`
`int` `nextIndex()`
`E` `previous()`
`int` `previousIndex()`
`void` `set​(E o)` Unsupported.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`hasNext, updateCache`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Methods inherited from interface java.util.ListIterator

`hasNext, remove`

### Constructor Detail

#### IteratorToListIterator

    public IteratorToListIterator()

Creates a new `LazyCollection.IteratorToListIterator` for this `LazyList`.

#### IteratorToListIterator

    public IteratorToListIterator​(int index)

Creates a new `LazyCollection.IteratorToListIterator` for this `LazyList`.

Parameters:
  `index` - the iterator starting index.

### Method Detail

#### add

    public void add​(E o)

Unsupported.

Specified by:
  `add` in interface `java.util.ListIterator<E>`
Parameters:
  `o` - the object to add
Throws:
  `java.lang.UnsupportedOperationException`

#### set

    public void set​(E o)

Unsupported.

Specified by:
  `set` in interface `java.util.ListIterator<E>`
Parameters:
  `o` - the object to set
Throws:
  `java.lang.UnsupportedOperationException`

#### hasPrevious

    public boolean hasPrevious()

Specified by:
  `hasPrevious` in interface `java.util.ListIterator<E>`

#### next

    public E next()

Specified by:
  `next` in interface `java.util.Iterator<E>`
Specified by:
  `next` in interface `java.util.ListIterator<E>`
Overrides:
  `next` in class `LazyCollection.CachingIterator`

#### nextIndex

    public int nextIndex()

Specified by:
  `nextIndex` in interface `java.util.ListIterator<E>`

#### previous

    public E previous()

Specified by:
  `previous` in interface `java.util.ListIterator<E>`

#### previousIndex

    public int previousIndex()

Specified by:
  `previousIndex` in interface `java.util.ListIterator<E>`